FUNCTION EVAL(3)

NAME
boost::proto::eval - Evaluate a given Proto expression with a given context.

SYNOPSIS

// In header: <boost/proto/eval.hpp>
template<typename Expr, typename Context>
  typename proto::result_of::eval< Expr, Context >::type
  eval(Expr & expr, Context & context);
template<typename Expr, typename Context>
  typename proto::result_of::eval< Expr, Context >::type
  eval(Expr & expr, Context const & context);

DESCRIPTION

Parameters:

    context
        The context in which the expression should be evaluated.

    expr
        The Proto expression to evaluate.

Returns:
    typename Context::template eval<Expr>()(expr, context)